Subject: Install problems bsdi v2.1

From: Stavros Patiniotis <[email-masked]>
Date: Sat, 6 Dec 1997 11:26:41 +1030 (CST)

Howdy, I have recently download wu_ftp 2.4 and have got problems building 
it. Do anyone have any pointers/suggestions as to what the problem is? 
This is the output I get:

root@bang:{38} ~/wu-ftpd-2.4 % ./build bsd
make args are :
make opts are :
 
Linking Makefiles.
 
Making support library.
cc -O -DDEBUG   -c fnmatch.c
cc -O -DDEBUG   -c strcasestr.c
cc -O -DDEBUG   -c authuser.c
In file included from authuser.c:7:
/usr/include/arpa/inet.h:47: warning: `struct in_addr' declared inside 
parameter list
/usr/include/arpa/inet.h:47: warning: its scope is only this definition 
or declaration,
/usr/include/arpa/inet.h:47: warning: which is probably not what you want.
/usr/include/arpa/inet.h:48: warning: `struct in_addr' declared inside 
parameter list
/usr/include/arpa/inet.h:48: warning: parameter has incomplete type
/usr/include/arpa/inet.h:50: warning: parameter has incomplete type
/usr/include/arpa/inet.h:52: warning: parameter has incomplete type
cc -O -DDEBUG   -c ftw.c
ftw.c: In function chwalk:
ftw.c:187: warning: type mismatch with previous external decl
/usr/include/stdlib.h:96: warning: previous external decl of `malloc'
ftw.c:187: warning: local declaration of `malloc' doesn't match global one
ftw.c: In function treewalk:
ftw.c:301: warning: type mismatch with previous external decl
/usr/include/stdlib.h:96: warning: previous external decl of `malloc'
ftw.c:301: warning: local declaration of `malloc' doesn't match global one
rm -f libsupport.a
ar cq libsupport.a fnmatch.o strcasestr.o authuser.o ftw.o
ranlib libsupport.a
 
Making ftpd.
cc -O -DDEBUG -I.. -I../support -L../support -c ftpd.c
ftpd.c:143: conflicting types for `realpath'
/usr/include/stdlib.h:158: previous declaration of `realpath'
*** Error code 1
 
Stop.
 
Making ftpcount.
cc -O -DDEBUG -I.. -I../support -L../support -o ftpcount ftpcount.c 
vers.o -lsupport
ld: No such file or directory for vers.o
*** Error code 1
 
Stop.
 
Making ftpshut.
cc -O -DDEBUG -I.. -I../support -L../support -o ftpshut ftpshut.c vers.o 
-lsupport
ld: No such file or directory for vers.o
*** Error code 1
 
Stop.
 
Making ckconfig.
cc -O -DDEBUG -I.. -I../support -L../support -o ckconfig ckconfig.c
 
Links to executables are in bin directory:
size: bin/ftpd: No such file or directory
size: bin/ftpcount: No such file or directory
size: bin/ftpshut: No such file or directory
size: bin/ftpwho: No such file or directory
text    data    bss     dec     hex
24576   4096    0       28672   7000    bin/ckconfig
Done
root@bang:{39} ~/wu-ftpd-2.4 %

Regards,

Stavros Patiniotis
------------------------------------------------------------------------------
-System Administrator / Network Manager  	       Escape.Net            -
-				       		       465b South Rd         - 
-email: [email-masked]			       Keswick SA 5035       -
-URL: http://www.esc.net.au	  		     Ph 82932526 Fax 82932949-
------------------------------------------------------------------------------